org.apache.maven.scm.provider.synergy.command.checkout

## Class SynergyCheckOutCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkout.AbstractCheckOutCommand
    - - org.apache.maven.scm.provider.synergy.command.checkout.SynergyCheckOutCommand

- All Implemented Interfaces:
    Command, SynergyCommand

      public class SynergyCheckOutCommand
      extends AbstractCheckOutCommand
      implements SynergyCommand

  Version:
    $Id: SynergyCheckOutCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Julien Henry

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynergyCheckOutCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CheckOutScmResult` | `executeCheckOutCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion version, boolean recursive)` Execute Check out command line.

    - ### Methods inherited from class org.apache.maven.scm.command.checkout.AbstractCheckOutCommand

      `executeCheckOutCommand, executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynergyCheckOutCommand

          public SynergyCheckOutCommand()

  - ### Method Detail

    - #### executeCheckOutCommand

          protected CheckOutScmResult executeCheckOutCommand(ScmProviderRepository repository,
                                                 ScmFileSet fileSet,
                                                 ScmVersion version,
                                                 boolean recursive)
                                                      throws ScmException

      Execute Check out command line.
      Specified by:
        `executeCheckOutCommand` in class `AbstractCheckOutCommand`
      Parameters:
        `repository` - not null
        `fileSet` - not null
        `version` - not null
        `recursive` - `true` if recursive check out is wanted, `false` otherwise.
      Returns:
        the checkout result
      Throws:
        `ScmException` - if any

Copyright © 2003–2015. All rights reserved.